Subject: B19: cd command doesn't always do what I expect
From: [email-masked] (David Campbell)

28 Aug 1998 10:58:53 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------7396209BB2D4B70F63A86B32"
To: [email-masked]

This is a multi-part message in MIME format.
--------------7396209BB2D4B70F63A86B32
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi,

I'm a little unclear about what a command like "cd //c" means
under CygWin32.  I would expect it to mean "change to the
root directory of drive c".  That's not what I get.

For example:

    bash-2.01$ pwd
    //d/Program Files/JacORB_0.9e
    bash-2.01$ cd //c
    bash-2.01$ ls
    David Personal.lnk  MappletKit.lnk      Scribble.txt
    Home.lnk            My Briefcase        TRMPTEL.EXE
    bash-2.01$ pwd
    //c

At this point, pwd reports we are in //c, but we are actually
in //c/winnt/Profiles/david/Desktop.

    bash-2.01$ cd //c/winnt/Profiles/david/Desktop
    bash-2.01$ ls
    David Personal.lnk  MappletKit.lnk      Scribble.txt
    Home.lnk            My Briefcase        TRMPTEL.EXE
    bash-2.01$ pwd
    //c/winnt/Profiles/david/Desktop
    bash-2.01$ cd ..
    bash-2.01$ pwd
    //c/winnt/Profiles/david

Lets try something else:

    bash-2.01$ cd //c/winnt
    bash-2.01$ pwd
    //c/winnt
    bash-2.01$ ls
    <lists the contents of //c/winnt>
    bash-2.01$ cd ..
    bash-2.01$ pwd
    //c
    bash-2.01$ ls
    <wrongly lists the contents of //c/winnt>

Note that in the above, the last cd command doesn't seemed
to have actually worked.

Is this a bug?

Regards,
-- David Campbell

--------------7396209BB2D4B70F63A86B32
Content-Type: text/x-vcard; charset=us-ascii;
 name="david.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for David Campbell
Content-Disposition: attachment;
 filename="david.vcf"

begin:vcard
n:Campbell;David
tel;work:+617 3216 6015
x-mozilla-html:TRUE
org:Greenleaf Systems Pty Ltd
adr:version:2.1;;19 Gregory St;ACACIA RIDGE;QLD;4110;AUSTRALIA
version:2.1
email;internet:[email-masked]
title:Director
end:vcard

--------------7396209BB2D4B70F63A86B32--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".